DurableTopicSubscriptionContainerImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.DurableTopicSubscriptionContainerImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class DurableTopicSubscriptionContainerImpl

    java.lang.Object
      org.codehaus.activemq.service.impl.SubscriptionContainerImpl
          org.codehaus.activemq.service.impl.DurableTopicSubscriptionContainerImpl

All Implemented Interfaces:
  SubscriptionContainer

public class DurableTopicSubscriptionContainerImpl
extends SubscriptionContainerImpl

An implemenation of `SubscriptionContainerImpl` for durable topic subscriptions

Version:
  $Revision: 1.4 $

Constructor Summary
`DurableTopicSubscriptionContainerImpl(Map subscriptions, RedeliveryPolicy redeliveryPolicy)`
`DurableTopicSubscriptionContainerImpl(RedeliveryPolicy redeliveryPolicy)`

Method Summary
`protected Subscription` | `createSubscription(Dispatcher dispatcher, BrokerClient client, ConsumerInfo info, Filter filter)`

Methods inherited from class org.codehaus.activemq.service.impl.SubscriptionContainerImpl
`getRedeliveryPolicy, getSubscription, getSubscriptions, makeSubscription, removeSubscription, subscriptionIterator, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DurableTopicSubscriptionContainerImpl

    public DurableTopicSubscriptionContainerImpl(RedeliveryPolicy redeliveryPolicy)

### DurableTopicSubscriptionContainerImpl

    public DurableTopicSubscriptionContainerImpl(Map subscriptions,
                                                 RedeliveryPolicy redeliveryPolicy)

Method Detail

### createSubscription

    protected Subscription createSubscription(Dispatcher dispatcher,
                                              BrokerClient client,
                                              ConsumerInfo info,
                                              Filter filter)

  Overrides:
    `createSubscription` in class `SubscriptionContainerImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.